yast2-ncurses: NCstyle::Style Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCstyle::Style Class Reference

`#include <NCstyle.h>`

Inheritance diagram for NCstyle::Style:

List of all members.

## Public Member Functions
NCattrset & | getAttrGlobal ()
NCattrset & | getAttrLocal ()
| Style ()
| Style (const Style &rhs)
virtual | ~Style ()
const chtype & | attr (STglobal a) const
const chtype & | attr (STlocal a) const
const chtype & | operator() (STglobal a) const
const chtype & | operator() (STlocal a) const
## Private Member Functions
Style & | operator= (const Style &)
StDialog | initDialog ()
## Static Private Member Functions
static unsigned | sanitycheck ()
## Static Private Attributes
static NCattrset | attrGlobal
## Friends
class | NCstyle

## Constructor & Destructor Documentation

NCstyle::Style::Style | ( |  | ) |

NCstyle::Style::Style | ( | const Style & | rhs | ) |

NCstyle::Style::~Style | ( |  | ) | `[virtual]`

## Member Function Documentation

const chtype& NCstyle::Style::attr | ( | STlocal | a | ) | const`[inline]`

const chtype& NCstyle::Style::attr | ( | STglobal | a | ) | const`[inline]`

NCattrset& NCstyle::Style::getAttrGlobal | ( |  | ) | `[inline]`

NCattrset& NCstyle::Style::getAttrLocal | ( |  | ) | `[inline]`

NCstyle::StDialog NCstyle::Style::initDialog | ( |  | ) | `[private]`

const chtype& NCstyle::Style::operator() | ( | STlocal | a | ) | const`[inline]`

const chtype& NCstyle::Style::operator() | ( | STglobal | a | ) | const`[inline]`

Style& NCstyle::Style::operator= | ( | const Style & |  | ) | `[private]`

unsigned NCstyle::Style::sanitycheck | ( |  | ) | `[static, private]`

## Friends And Related Function Documentation

friend class NCstyle`[friend]`

## Member Data Documentation

NCattrset NCstyle::Style::attrGlobal`[static, private]`

The documentation for this class was generated from the following files:

- NCstyle.h
- NCstyle.cc